OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
OpenMesh::Decimater::CollapseInfoT< Mesh > Struct Template Reference

Stores information about a halfedge collapse. More...

`#include <OpenMesh/Tools/Decimater/CollapseInfoT.hh>`

Collaboration diagram for OpenMesh::Decimater::CollapseInfoT< Mesh >:
[legend]

## Public Member Functions
| CollapseInfoT (Mesh &_mesh, typename Mesh::HalfedgeHandle _heh)
| Initializing constructor.

## Public Attributes
Mesh & | mesh
Mesh::HalfedgeHandle | v0v1
| Halfedge to be collapsed.
Mesh::HalfedgeHandle | v1v0
| Reverse halfedge.
Mesh::VertexHandle | v0
| Vertex to be removed.
Mesh::VertexHandle | v1
| Remaining vertex.
Mesh::Point | p0
| Position of removed vertex.
Mesh::Point | p1
| Positions of remaining vertex.
Mesh::FaceHandle | fl
| Left face.
Mesh::FaceHandle | fr
| Right face.
Mesh::VertexHandle | vl
| Left vertex.
Mesh::VertexHandle | vr
| Right vertex.
Mesh::HalfedgeHandle | vlv1
| Outer remaining halfedge of diamond spanned by `v0`, `v1`, `vl`, and `vr`.
Mesh::HalfedgeHandle | v0vl
| Outer remaining halfedge of diamond spanned by `v0`, `v1`, `vl`, and `vr`.
Mesh::HalfedgeHandle | vrv0
| Outer remaining halfedge of diamond spanned by `v0`, `v1`, `vl`, and `vr`.
Mesh::HalfedgeHandle | v1vr
| Outer remaining halfedge of diamond spanned by `v0`, `v1`, `vl`, and `vr`.

## Detailed Description

### template<class Mesh>
struct OpenMesh::Decimater::CollapseInfoT< Mesh >

Stores information about a halfedge collapse.

The class stores information about a halfedge collapse. The most important information is `v0v1`, `v1v0`, `v0`, `v1`, `vl`, `vr`, which you can lookup in the following image:

See Also
  ModProgMeshT::Info

## Constructor & Destructor Documentation

template<class Mesh >

OpenMesh::Decimater::CollapseInfoT< Mesh >::CollapseInfoT | ( | Mesh & | _mesh,
|  | typename Mesh::HalfedgeHandle | _heh
| ) |  |
| inline

Initializing constructor.

Local configuration of halfedge collapse to be stored in CollapseInfoT:

Given a mesh and a halfedge handle of the halfedge to be collapsed all important information of a halfedge collapse will be stored.

Parameters

  _mesh | Mesh source
  _heh | Halfedge to collapse. The direction of the halfedge defines the direction of the collapse, i.e. the from-vertex will be removed and the to-vertex remains.

      vl
       *
      / \
     /   \
    / fl  \

v0 *---—>* v1 \ fr / \ / \ /

- vr

Parameters

  _mesh | Reference to mesh
  _heh | The halfedge (v0 -> v1) defining the collapse

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/Decimater/CollapseInfoT.hh